petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSThetaGetEndpoint

Gets whether to use the endpoint variant of the method (e.g. trapezoid/Crank-Nicolson instead of midpoint rule).

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSThetaGetEndpoint(TS ts,PetscBool *endpoint)

Not Collective

### Input Parameter

ts -timestepping context

### Output Parameter

endpoint -PETSC_TRUE when using the endpoint variant

### See Also

TSThetaSetEndpoint(), TSTHETA, TSCN

Level:Advanced
Location:src/ts/impls/implicit/theta/theta.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages